=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,9 @@
 ANT_INVOKE := $(JAVA_CMD) -classpath "$(DEB_CLASSPATH)" \
 	org.apache.tools.ant.Main $(ANT_ARGS)
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	$(ANT_INVOKE) deploy
@@ -69,6 +71,7 @@
 	dh_testroot
 	dh_prep 
 	dh_installdirs
+	cp debian/logrotate debian/tomcat7/etc/logrotate.d/tomcat7
 
 binary-indep: build install
 	dh_testdir
