=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: tomcat7
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: James Page <james.page@canonical.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: James Page <james.page@ubuntu.com>,
  Miguel Landaeta <miguel@miguel.cc>, tony mancill <tmancill@debian.org>
 Build-Depends: default-jdk, ant-optional, debhelper (>= 7), po-debconf
-Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java
+Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java, junit4,
+ libjstl1.1-java, libjakarta-taglibs-standard-java
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-java/tomcat7.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/tomcat7.git
@@ -31,7 +33,7 @@
 	tomcat7-admin (>= ${source:Version}),
 	tomcat7-examples (>= ${source:Version}),
 	tomcat7-user (>= ${source:Version}),
-  tomcat-native
+	libtcnative-1
 Description: Servlet and JSP engine
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
