=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: tomcat7
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>,
  Miguel Landaeta <miguel@miguel.cc>, tony mancill <tmancill@debian.org>
 Build-Depends: default-jdk, ant-optional, debhelper (>= 7), po-debconf
-Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java, junit4,
- libjstl1.1-java, libjakarta-taglibs-standard-java
+Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-java/tomcat7.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/tomcat7.git
@@ -15,7 +13,8 @@
 
 Package: tomcat7-common
 Architecture: all
-Depends: libtomcat7-java (>= ${source:Version}), ${misc:Depends}
+Depends: libtomcat7-java (>= ${source:Version}), ${misc:Depends},
+ default-jre-headless | java-5-runtime | java-6-runtime
 Description: Servlet and JSP engine -- common files
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
