=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: tomcat7
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>,
- Miguel Landaeta <miguel@miguel.cc>, tony mancill <tmancill@debian.org>
+ Miguel Landaeta <miguel@miguel.cc>, tony mancill <tmancill@debian.org>,
+ Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: default-jdk, ant-optional, debhelper (>= 7), po-debconf
-Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java
-Standards-Version: 3.9.2
+Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java, junit4,
+ libjstl1.1-java, libjakarta-taglibs-standard-java
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-java/tomcat7.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/tomcat7.git
 Homepage: http://tomcat.apache.org
@@ -14,7 +17,7 @@
 Package: tomcat7-common
 Architecture: all
 Depends: libtomcat7-java (>= ${source:Version}), ${misc:Depends},
- default-jre-headless | java-5-runtime | java-6-runtime
+ default-jre-headless | java6-runtime-headless | java6-runtime | java-6-runtime
 Description: Servlet and JSP engine -- common files
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
@@ -90,7 +93,8 @@
 Package: libservlet3.0-java-doc
 Section: doc
 Architecture: all
-Depends: libservlet3.0-java (>= ${source:Version}), ${misc:Depends}
+Depends: ${misc:Depends}
+Suggests: libservlet3.0-java (>= ${source:Version})
 Description: Servlet 3.0 and JSP 2.2 Java API documentation
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
