=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BLDLIB := output/build/lib
 BLDBIN := output/build/bin
 DEB_JARS_BASE := /usr/share/java
-DEB_JARS := ant ant-launcher ant-trax ant-nodeps
+DEB_JARS := ant ant-launcher ant-trax ant-nodeps ant-junit4 ant-junit junit4
 DEB_CLASSPATH = $(shell for jar in $(DEB_JARS); do \
 	if [ -f "$$jar" ]; then echo -n "$${jar}:"; fi; \
 	if [ -f "$$jar".jar ]; then echo -n "$${jar}.jar:"; fi; \
@@ -21,14 +21,27 @@
 	| cut -f 2 -d ' ' | cut -f 2 -d ' '|sed 's/-[^-]*$$//')
 T_JARS := tomcat-i18n-fr tomcat-i18n-es tomcat-i18n-ja catalina-ant
 T_MAVENIZED_JARS := jasper-el annotations-api jasper catalina-ha catalina 
-T_VER_MAJOR := $(echo $(T_VER) | cut -d'.' -f1)
-T_VER_MINOR := $(echo $(T_VER) | cut -d'.' -f2)
-T_VER_BUILD := $(echo $(T_VER) | cut -d'.' -f3)
+T_VER_MAJOR := $(shell echo $(T_VER) | cut -d'.' -f1)
+T_VER_MINOR := $(shell echo $(T_VER) | cut -d'.' -f2)
+T_VER_BUILD := $(shell echo $(T_VER) | cut -d'.' -f3)
 
 ANT_ARGS := -Dcompile.debug=true \
 	-Dant.build.javac.source=1.5 \
 	-Dant.build.javac.target=1.5 \
 	-Djdt.jar=/usr/share/java/ecj.jar \
+	-Djunit.jar=/usr/share/java/junit4.jar \
+	-Dversion=$(T_VER) \
+    -Dversion.major="$(T_VER_MAJOR)" \
+    -Dversion.minor="$(T_VER_MINOR)" \
+    -Dversion.build="$(T_VER_BUILD)" \
+    -Dversion.patch="0" \
+    -Dversion.suffix="" 
+
+ANT_TS_ARGS := -Dcompile.debug=true \
+	-Dant.build.javac.source=1.6 \
+	-Dant.build.javac.target=1.6 \
+	-Djdt.jar=/usr/share/java/ecj.jar \
+	-Djunit.jar=/usr/share/java/junit4.jar \
 	-Dversion=$(T_VER) \
     -Dversion.major="$(T_VER_MAJOR)" \
     -Dversion.minor="$(T_VER_MINOR)" \
@@ -38,8 +51,10 @@
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	ANT_ARGS += -Dcompile.optimize=false
+	ANT_TS_ARGS += -Dcompile.optimize=false
 else
 	ANT_ARGS += -Dcompile.optimize=true
+	ANT_TS_ARGS += -Dcompile.optimize=true
 endif
 
 ANT_INVOKE := $(JAVA_CMD) -classpath "$(DEB_CLASSPATH)" \
@@ -57,12 +72,20 @@
 		-bottom "Copyright &#169; 2000-2011 Apache Software Foundation. All Rights Reserved."
 	touch build-stamp
 
+testsuite: build-stamp
+	dh_testdir
+	mkdir -p webapps/examples/WEB-INF/lib
+	cp /usr/share/java/jstl1.1.jar webapps/examples/WEB-INF/lib/jstl.jar
+	cp /usr/share/java/standard.jar webapps/examples/WEB-INF/lib/standard.jar
+	$(JAVA_CMD) -classpath "$(DEB_CLASSPATH)" org.apache.tools.ant.Main $(ANT_TS_ARGS) deploy test
+
 clean:
 	dh_testdir
 	dh_testroot
 	-$(ANT_INVOKE) clean
 	rm -rf "output/"
 	rm -f build-stamp modules/jdbc-pool/output/resources/MANIFEST.MF
+	rm -rf webapps/examples/WEB-INF/lib/*.jar
 	dh_clean
 	mh_clean
