=== debian/rules ===
--- 
+++ 
@@ -25,19 +25,11 @@
 T_VER_MINOR := $(shell echo $(T_VER) | cut -d'.' -f2)
 T_VER_BUILD := $(shell echo $(T_VER) | cut -d'.' -f3)
 
+# root webapp file locations (during the build)
+RWLOC := debian/default_root
+RWFILES := $(RWLOC)/index.html $(RWLOC)/META-INF/context.xml
+
 ANT_ARGS := -Dcompile.debug=true \
-	-Dant.build.javac.source=1.5 \
-	-Dant.build.javac.target=1.5 \
-	-Djdt.jar=/usr/share/java/ecj.jar \
-	-Djunit.jar=/usr/share/java/junit4.jar \
-	-Dversion=$(T_VER) \
-    -Dversion.major="$(T_VER_MAJOR)" \
-    -Dversion.minor="$(T_VER_MINOR)" \
-    -Dversion.build="$(T_VER_BUILD)" \
-    -Dversion.patch="0" \
-    -Dversion.suffix="" 
-
-ANT_TS_ARGS := -Dcompile.debug=true \
 	-Dant.build.javac.source=1.6 \
 	-Dant.build.javac.target=1.6 \
 	-Djdt.jar=/usr/share/java/ecj.jar \
@@ -51,10 +43,8 @@
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	ANT_ARGS += -Dcompile.optimize=false
-	ANT_TS_ARGS += -Dcompile.optimize=false
 else
 	ANT_ARGS += -Dcompile.optimize=true
-	ANT_TS_ARGS += -Dcompile.optimize=true
 endif
 
 ANT_INVOKE := $(JAVA_CMD) -classpath "$(DEB_CLASSPATH)" \
@@ -65,27 +55,26 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	cp /usr/share/java/jstl1.1.jar webapps/examples/WEB-INF/lib/jstl.jar
+	cp /usr/share/java/standard.jar webapps/examples/WEB-INF/lib/standard.jar
+	$(ANT_INVOKE) deploy test
+else
 	$(ANT_INVOKE) deploy
+endif
 	javadoc -subpackages "javax.servlet" -d "output/api" \
 		-sourcepath "java" -author -version -breakiterator \
 		-windowtitle "Tomcat API Documentation" -doctitle "Tomcat API" \
-		-bottom "Copyright &#169; 2000-2011 Apache Software Foundation. All Rights Reserved."
+		-bottom "Copyright &#169; 2000-2012 Apache Software Foundation. All Rights Reserved."
 	touch build-stamp
-
-testsuite: build-stamp
-	dh_testdir
-	mkdir -p webapps/examples/WEB-INF/lib
-	cp /usr/share/java/jstl1.1.jar webapps/examples/WEB-INF/lib/jstl.jar
-	cp /usr/share/java/standard.jar webapps/examples/WEB-INF/lib/standard.jar
-	$(JAVA_CMD) -classpath "$(DEB_CLASSPATH)" org.apache.tools.ant.Main $(ANT_TS_ARGS) deploy test
 
 clean:
 	dh_testdir
 	dh_testroot
 	-$(ANT_INVOKE) clean
 	rm -rf "output/"
+	rm -rf webapps/examples/WEB-INF/lib/*.jar
 	rm -f build-stamp modules/jdbc-pool/output/resources/MANIFEST.MF
-	rm -rf webapps/examples/WEB-INF/lib/*.jar
 	dh_clean
 	mh_clean
 
@@ -171,6 +160,11 @@
 	chmod a+x debian/tomcat7-common/usr/share/tomcat7/bin/*.sh
 	chmod a+x debian/tomcat7-user/usr/bin/tomcat7-instance-create
 	chmod a+x debian/tomcat7-user/usr/share/tomcat7/skel/bin/*.sh
+	# update the checksum for the root webapp
+	unset rwmd5sum \
+		&& rwmd5sum=`cat $(RWFILES) | md5sum - 2>/dev/null | cut -d " " -f1` \
+		&& sed -i "s/\@ROOT_WEBAPP_MD5SUM\@/$$rwmd5sum/" debian/tomcat7.postrm
+	jh_manifest
 	dh_compress
 	dh_fixperms
 	dh_installdeb
